<?php
    include "../conexion/conexion.php";
    include '../validacion.php';
    date_default_timezone_set("America/Lima");

    $idusuario = $_GET['usuario'];
    $ahora = date("Y-m-d H:i:s");

      $nombreusuario = $_POST['txtnombreusuario'];
      $tipodocumento = $_POST['cbotipodocumento'];
      $dni = $_POST['txtnumerodocumento'];
      $correo = $_POST['txtcorreo'];
      $pass = $_POST['txtpass'];
      $sede = $_POST['cbosede'];
      $turno = $_POST['cboturno'];
      $estado = $_POST['cboestado'];
      $idrol = $_POST['cborol'];
      $fechaingreso = $_POST['txtfechaingreso'];
      $celular = $_POST['txtcelular'];
      $estado = $_POST['cboestado'];


    // ESTADO USUARIO 1 = PENDIENTE
    // ESTADO USUARIO 2 = ACTIVO
    // ESTADO USUARIO 3 = DESACTIVO

        $sql="UPDATE usuario SET 
        nombreusuario='$nombreusuario',
        tipodocumento='$tipodocumento',
        dni='$dni',
        correo='$correo',
        pass='$pass',
        celular='$celular',
        sede='$sede',
        turno='$turno',
        estado='$estado',
        idrol='$idrol',
        estado='$estado',
        fechaingreso='$fechaingreso'
        WHERE idusuario=$idusuario";
        $consulta = $pdo->prepare($sql);

        if($consulta->execute()){


            // AÑADIENDO EL REGISTRO LOG PARA EL USUARIO
            //----------------------------------------------------------------------------
            // IDTABLALOG = 1  ES USUARIOS
            $sql = "SELECT * FROM tablalog WHERE idtablalog = 1";
            $consulta = $pdo->prepare($sql);
            $consulta->execute();
            $tablalog = $consulta->fetchAll(PDO::FETCH_ASSOC);

                foreach ($tablalog as $gotablalog) {
                    $idtablalog = $gotablalog['idtablalog'];
                    $nombretablalog = $gotablalog['nombretablalog'];
                }
            //----------------------------------------------------------------------------
            $sql = "SELECT * FROM usuario WHERE idusuario = '$idusuario'";
            $consulta = $pdo->prepare($sql);
            $consulta->execute();
            $tablausuario = $consulta->fetchAll(PDO::FETCH_ASSOC);
    
                foreach ($tablausuario as $gotablausuario) {
                    $nombreusuario = $gotablausuario['nombreusuario'];
                }

            //----------------------------------------------------------------------------
            $accion = $nombreusuario_sesion." HA EDITADO AL USUARIO ".$nombreusuario;
            $crud = "ACTUALIZAR";

            //----------------------------------------------------------------------------
            $sql="INSERT INTO detalletablalog VALUES (null,?,?,?,?,?);";
            $sentencia = $pdo->prepare($sql);   
            $sentencia->bindParam(1,$accion);
            $sentencia->bindParam(2,$ahora);
            $sentencia->bindParam(3,$crud);
            $sentencia->bindParam(4,$idusuario);
            $sentencia->bindParam(5,$idtablalog);                
            $sentencia->execute();
            //----------------------------------------------------------------------------
            
            if($idrol_sesion == 1){
            echo '<script type="text/javascript">alert("Modificado Correctamente!");window.location.href="usuarios.php";</script>';
            }
            else {
            echo '<script type="text/javascript">alert("Modificado Correctamente!");window.location.href="../login/inicio.php";</script>';
            }
        }
        else{
             
            if($idrol_sesion == 1){
                echo '<script type="text/javascript">alert("Error al Modificar Usuario");window.location.href="usuarios.php";</script>';
            }  
            else {
                echo '<script type="text/javascript">alert("Error al Modificar Usuario");window.location.href="../login/login.php";</script>';
            }
            
        }

   
?>